﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace FileTaggerData.Domain
{
    public class TaggedFile
    {
        public virtual int ID { get; set; }

        public virtual string FileName { get; set; }

        public virtual string FilePath { get; set; }

        public virtual string Description { get; set; }

        public virtual DateTime Created { get; set; }

        public virtual DateTime Modified { get; set; }

        public virtual IList<FileTag> Tags { get; set; }
    }
}
