﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace FileTags
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] arguments)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Form runForm;

            ContextMenuHelper menuHelper = new ContextMenuHelper();
            menuHelper.CheckContextMenu();

            if (arguments.Length > 0)
            {
                runForm = new FileForm();
                ((FileForm)runForm).FilePath = arguments[0];
            }
            else
            {
                runForm = new SearchForm();
            }

            Application.Run(runForm);
        }
    }
}
