create table Page (
	page_id integer primary key,
	page_image BLOB,
	document_id integer,
	page_name varchar(100),
	is_default bit
);

create table Document
(
	document_id integer primary key,
	document_name nvarchar(100) NOT NULL,
	document_description nvarchar(1000) NOT NULL,
	entered_date datetime NULL,
	document_from datetime NULL,
	document_to datetime NULL,
	lcid integer NULL,
	document_keywords nvarchar(1000)	
);

create table Document_Tag
(
	tag_id integer not null,
	document_id integer not null
);


create table Storage
(
	storage_id integer primary key,
	storage_name varchar(100)
);

create table Tag
(
	tag_id integer primary key,
	tag_name varchar(500)	
);