﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace ImageAcquisitionTAL
{
    public interface IAcquisitionTechnology
    {
        // get list of installed device in form "unique id = display name"
        IEnumerable<Scanner> GetInstalledScanners();
        Scanner GetScanner(string deviceId);
        bool IsAvailable();
        Image Acquire(string deviceId);
    }
}
