﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace ImageAcquisitionTAL
{
    public class ISISTechnology : IAcquisitionTechnology
    {
        #region IAcquisitionTechnology Members

        public IEnumerable<ScannerInfo> GetInstalledScanners()
        {
            return new ScannerInfo[0];
        }        

        public ScannerInfo GetScannerInfo(string deviceId)
        {
            return null;
        }


        public bool IsAvailable()
        {
            return false;
        }

        public Image Acquire(ScannerInfo scanner)
        {
            return null;
        }

        public Image AcquireForPreview(ScannerInfo scanner)
        {
            throw new NotImplementedException();
        }

        public string Name
        {
            get 
            {
                return "ISIS";
            }
        }
        bool sessionStarted;

        public object BeginAcquire(ScannerInfo scanner)
        {
            sessionStarted = true;
            return sessionStarted;
        }

        public void EndAcquire(object session)
        {
            sessionStarted = false;
        }

        #endregion
    }
}
