﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HomeDms
{
    public partial class PageZoom : Form
    {
        public PageZoom()
        {
            InitializeComponent();
        }

        private Image _image;

        public Image Image
        {
            get 
            { 
                return _image; 
            }
            set 
            { 
                _image = value;
                simpleImageEditor1.Image = _image.Clone() as Image;
            }
        }

        public EventHandler ImageChanged;

        private void PageZoom_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (e.CloseReason == CloseReason.UserClosing)
            {
                e.Cancel = true;
                simpleImageEditor1.RemoveTool();
                Hide();
            }
        }

        private void simpleImageEditor1_ImageChanged(object sender, EventArgs e)
        {
            _image = simpleImageEditor1.Image.Clone() as Image;
            if (ImageChanged != null)
                ImageChanged(this, EventArgs.Empty);
        }

    }
}
