﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FileTaggerData.Domain
{
    public class FileTag
    {
        public virtual int ID { get; set; }

        public virtual string Name { get; set; }

        public virtual string Description { get; set; }

        public virtual DateTime Created { get; set; }

        public virtual DateTime Modified { get; set; }

        public virtual IList<TaggedFile> Files { get; set; }

        public override string ToString()
        {
            return Name;
        }
    }
}
