﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;

namespace ImageAcquisitionTAL
{
    public class NoTechnology : IAcquisitionTechnology
    {
        #region IAcquisitionTechnology Members

        public IEnumerable<Scanner> GetInstalledScanners()
        {
            Scanner Dummy = new Scanner();
            Dummy.DeviceID = "";
            Dummy.DisplayName = "Dummy Scanner";
            return new List<Scanner>(new Scanner[] { Dummy });
        }

        

        public Scanner GetScanner(string deviceId)
        {
            Scanner Dummy = new Scanner();
            Dummy.DeviceID = "";
            Dummy.DisplayName = "Dummy Scanner";
            return Dummy;
        }


        public bool IsAvailable()
        {
            return true;
        }

        public Image Acquire(string deviceId)
        {
            return Resource.frog;
        }

        #endregion
    }
}
