﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WIALib;
using System.Drawing;

namespace ImageAcquisitionTAL
{
    public class WIA10Technology : IAcquisitionTechnology
    {
        #region IAcquisitionTechnology Members

        public IEnumerable<ScannerInfo> GetInstalledScanners()
        {
            return new ScannerInfo[0]; 
        }

       
        public ScannerInfo GetScannerInfo(string deviceId)
        {
            throw new NotImplementedException();
        }

        public bool IsAvailable()
        {
            try
            {
                WiaClass wiaManager = new WiaClass();
                wiaManager = null;
            }
            catch
            {
                return false;
            }
            return true;
        }

        public System.Drawing.Image Acquire(ScannerInfo scanner)
        {
            throw new NotImplementedException();
        }
       
        public System.Drawing.Image AcquireForPreview(ScannerInfo scanner)
        {
            throw new NotImplementedException();
        }

        public string Name
        {
            get 
            {
                return "Microsoft WIA 1.0";
            }
        }
        bool sessionStarted;

        public object BeginAcquire(ScannerInfo scanner)
        {
            sessionStarted = true;
            return sessionStarted;
        }

        public void EndAcquire(object session)
        {
            sessionStarted = false;
        }

        #endregion
    }
}
