﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.Windows.Forms;
using System.Configuration;
using System.Configuration.Provider;

namespace HomeDmsPageStorageProviders
{
    public class PageStorageProviderCollection : ProviderCollection
    {
        public new PageStorageProvider this[string name]
        {
            get
            {
                return (PageStorageProvider)base[name];
            }
        }

        public override void Add(ProviderBase provider)
        {
            if (provider == null)
                throw new ArgumentNullException("provider");

            if (!(provider is PageStorageProvider))
                throw new ArgumentException
                    ("Invalid provider type", "provider");

            base.Add(provider);
        }
    }
}
